Subject: wanted: resources, herbal history

From: Will Samson <[email-masked]>
Date: Fri, 26 Jan 1996 18:30:39 -0800

Any good folk out there willing to share bibliographical information 
regarding medicinal herbs in the 1300's?  Specifically I am interested in 
what physicians in England might have tried as treatment for the bubonic 
plague.  Any other known treatments for various ailments during this time 
period is needed as well.

Thanking you in advance,

Lisa Samson